function foxfm_bank(doc)
{
	try
	{
		if(doc.location.href.match("bank.php") && prefBranchOFMFunctionSettings.get("bank.active"))
		{
			infoMessage(2, "foxfm_bank(): start");

			var tables = doc.getElementsByTagName("table");
			var results = findTableByRegExp(tables, "Aufnehmen");

			if(results.length)
			{
				foxfm_addJavaScript(doc, "chrome://foxfm/content/resources/js/foxfm_bank_script.js");
				
				var btMaxTakeOut = createButton(doc, "Maximum aufnehmen", "button_green", "submit", "setCreditTakeOutRepayLoan(getCreditLine()-getCredit())");
				var btMaxRepay = createButton(doc, "Maximum tilgen", "button_green", "submit2", "setCreditTakeOutRepayLoan(calculateRepayValue())");
				var btRepayOverdraft = createButton(doc, "Dispo tilgen", "button_green", "submit", "setCreditTakeOutRepayLoan(getOverdraft())");
				
				var newRow = createRow(doc, "middle", "35");
				
				newRow.appendChild(createCell(doc, null, null, null, null, btMaxTakeOut, null));
				newRow.appendChild(createCell(doc, null, null, null, "\&nbsp\;\&nbsp\;\&nbsp\;", null, null));
				newRow.appendChild(createCell(doc, null, null, null, null, btMaxRepay, null));
				newRow.appendChild(createCell(doc, null, null, null, "\&nbsp\;\&nbsp\;\&nbsp\;", null, null));
				newRow.appendChild(createCell(doc, null, null, null, null, btRepayOverdraft, null));
				
				tables[results[0]["table"]].getElementsByTagName("tbody")[0].appendChild(newRow);
			}
		}
	} catch (e) {
		exceptionHandler(e);
	}
}